axhttpd(1)

NAME
axhttpd - Demo HTTP/HTTPS server for axTLS

SYNOPSIS
axhttpd [-p [address:]httpport] [-s [address:]httpsport] [-key private_key] [-cert cert] [-w webroot]

DESCRIPTION
axhttpd is a small embedded web server using the axTLS library.

OPTIONS

-p [address:]httpport
    Set HTTP address and port. (default: 80)

-s [address:]httpsport
    Set HTTPS address and port. (default: 443)

-key private_key
    Private key for TLS certificate.

-cert cert
    TLS certificate file.

-w webroot
    The location of the web root in relation to axhttpd.

SEE ALSO
http://axtls.sourceforge.net/README/index.html

AUTHOR
axhttpd is written by Cameron Hamilton-Rich. It is based originally on the web server written by Doug Currie which is at http://www.hcsw.org/awhttpd.